<?php

namespace App\Classes\FTN\Process\Netmail\Robot\Areafix;

use Illuminate\Support\Facades\Log;

use App\Models\Address;

// Our base areafix commands class
abstract class Base
{
	private const LOGKEY = 'AB-';

	protected Address $ao;
	protected array $arguments;

	public function __construct(Address $ao,array $arguments) {
		Log::debug(sprintf('%s:- Areafix [%s] command with arguments [%s] for [%s]',self::LOGKEY,get_class($this),implode('|',$arguments),$ao->ftn));

		$this->ao = $ao;
		$this->arguments = $arguments;
	}

	abstract public function help(): array;
	abstract public function process(): string;
}